Subject: bug#21138: 24.5; package system not initializing

From: Artur Malabarba <[email-masked]>
Date: Mon, 27 Jul 2015 13:02:59 +0100

> i'm on 24.5.2 (manually compiled on Debian Jessie x86_64), and when i
> comment out `package-initialize' from my init.el and start a non-daemonised
> instance of Emacs, startup doesn't fully complete due to `package-archives'
> being a void variable on which my config tries to use `add-to-list'. Then,
> commenting out such lines, i get errors on calls to things like `emms-all' -
> i have emms-20150519.736 installed from MELPA. After startup completes,
> `package--initialized' and `package-enable-at-startup' are both set to `t'.

That's all expected. ;-)
In 24.5, by default, package-initialize is called at the *end* of
initialization. So packages have not yet been activated while your
init file is being loaded.